# QLinearGradient Class Reference

### [com.trolltech.qt.gui package]

Inherits QGradient.

### Constructor

- void QLinearGradient()
- void QLinearGradient(QPointF start, QPointF finalStop)
- void QLinearGradient(qreal xStart, qreal yStart, qreal xFinalStop, qreal yFinalStop)

### Constructor Properties

- prototype: The QLinearGradient prototype object

### Prototype Object Properties

The QLinearGradient prototype object inherits properties from the QGradient prototype object and also has the following properties.

- QPointF finalStop()
- void setFinalStop(QPointF stop)
- void setStart(QPointF start)
- QPointF start()

### Instance Properties

QLinearGradient objects have no special properties beyond those inherited from the QLinearGradient prototype object.